<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qmth.distributed.print.business.mapper.ObeCourseEvaluationMapper">

    <select id="findCourseEvaluationList"
            resultType="com.qmth.distributed.print.business.bean.result.ObeCourseEvaluationResult">
        SELECT
            id AS evaluationId,
            evaluation,
            evaluation_desc AS evaluationDesc,
            type
        FROM
            obe_course_evaluation
        <where>
            <if test="obeCourseOutlineId != null">
                AND obe_course_outline_id = #{obeCourseOutlineId}
            </if>
        </where>
        ORDER BY id ASC
    </select>
</mapper>
